# GstVp9Parser

For more details about the structures, you can refer to the specifications:

## GstVp9FrameHdr

Frame header

### Members

`profile` (guint) –

encoded profile

`show_existing_frame` (guint8) –

display already decoded frame instead of doing the decoding

`frame_to_show` (gint) –

which frame to show if show_existing_frame is true

`frame_type` (guint) –

frame type

`show_frame` (guint8) –

indicate whether it is a displayable frame or not

`error_resilient_mode` (guint8) –

error resilent mode

`width` (guint32) –

frame width

`height` (guint32) –

frame height

`display_size_enabled` (guint8) –

display size enabled (cropping)

`display_width` (guint32) –

display width

`display_height` (guint32) –

display height

`frame_context_idx` (guint) –

frame context index

`intra_only` (guint8) –

intra only frame

`reset_frame_context` (gint) –

reset frame context

`refresh_frame_flags` (gint) –

refresh reference frame flags

`ref_frame_indices` (gint *) –

reference frame index

`ref_frame_sign_bias` (gint *) –

sign bias for selecting altref,last and golden frames

`allow_high_precision_mv` (gint) –

allow hight precision motion vector

`mcomp_filter_type` (guint8) –

interpolation filter type

`refresh_frame_context` (gint) –

refresh frame context indicator

`frame_parallel_decoding_mode` (gint) –

enable or disable parallel decoding support.

`loopfilter` (GstVp9LoopFilter) –

loopfilter values

`quant_indices` (GstVp9QuantIndices) –

quantization indices

`segmentation` (GstVp9SegmentationInfo) –

segmentation info

`log2_tile_rows` (gint) –

tile row indicator

`log2_tile_columns` (gint) –

tile column indicator

`first_partition_size` (guint32) –

first partition size (after the uncompressed header)

`lossless_flag` (guint) –

lossless mode decode

`frame_header_length_in_bytes` (guint32) –

length of uncompressed header

Since : 1.8

## GstCodecParsers.Vp9FrameHdr

Frame header

### Members

`profile` (Number) –

encoded profile

`show_existing_frame` (Number) –

display already decoded frame instead of doing the decoding

`frame_to_show` (Number) –

which frame to show if show_existing_frame is true

`frame_type` (Number) –

frame type

`show_frame` (Number) –

indicate whether it is a displayable frame or not

`error_resilient_mode` (Number) –

error resilent mode

`width` (Number) –

frame width

`height` (Number) –

frame height

`display_size_enabled` (Number) –

display size enabled (cropping)

`display_width` (Number) –

display width

`display_height` (Number) –

display height

`frame_context_idx` (Number) –

frame context index

`intra_only` (Number) –

intra only frame

`reset_frame_context` (Number) –

reset frame context

`refresh_frame_flags` (Number) –

refresh reference frame flags

`ref_frame_indices` ([ Number ]) –

reference frame index

`ref_frame_sign_bias` ([ Number ]) –

sign bias for selecting altref,last and golden frames

`allow_high_precision_mv` (Number) –

allow hight precision motion vector

`mcomp_filter_type` (Number) –

interpolation filter type

`refresh_frame_context` (Number) –

refresh frame context indicator

`frame_parallel_decoding_mode` (Number) –

enable or disable parallel decoding support.

`loopfilter` (GstCodecParsers.Vp9LoopFilter) –

loopfilter values

`quant_indices` (GstCodecParsers.Vp9QuantIndices) –

quantization indices

`segmentation` (GstCodecParsers.Vp9SegmentationInfo) –

segmentation info

`log2_tile_rows` (Number) –

tile row indicator

`log2_tile_columns` (Number) –

tile column indicator

`first_partition_size` (Number) –

first partition size (after the uncompressed header)

`lossless_flag` (Number) –

lossless mode decode

`frame_header_length_in_bytes` (Number) –

length of uncompressed header

Since : 1.8

## GstCodecParsers.Vp9FrameHdr

Frame header

### Members

`profile` (int) –

encoded profile

`show_existing_frame` (int) –

display already decoded frame instead of doing the decoding

`frame_to_show` (int) –

which frame to show if show_existing_frame is true

`frame_type` (int) –

frame type

`show_frame` (int) –

indicate whether it is a displayable frame or not

`error_resilient_mode` (int) –

error resilent mode

`width` (int) –

frame width

`height` (int) –

frame height

`display_size_enabled` (int) –

display size enabled (cropping)

`display_width` (int) –

display width

`display_height` (int) –

display height

`frame_context_idx` (int) –

frame context index

`intra_only` (int) –

intra only frame

`reset_frame_context` (int) –

reset frame context

`refresh_frame_flags` (int) –

refresh reference frame flags

`ref_frame_indices` ([ int ]) –

reference frame index

`ref_frame_sign_bias` ([ int ]) –

sign bias for selecting altref,last and golden frames

`allow_high_precision_mv` (int) –

allow hight precision motion vector

`mcomp_filter_type` (int) –

interpolation filter type

`refresh_frame_context` (int) –

refresh frame context indicator

`frame_parallel_decoding_mode` (int) –

enable or disable parallel decoding support.

`loopfilter` (GstCodecParsers.Vp9LoopFilter) –

loopfilter values

`quant_indices` (GstCodecParsers.Vp9QuantIndices) –

quantization indices

`segmentation` (GstCodecParsers.Vp9SegmentationInfo) –

segmentation info

`log2_tile_rows` (int) –

tile row indicator

`log2_tile_columns` (int) –

tile column indicator

`first_partition_size` (int) –

first partition size (after the uncompressed header)

`lossless_flag` (int) –

lossless mode decode

`frame_header_length_in_bytes` (int) –

length of uncompressed header

Since : 1.8

## GstVp9LoopFilter

Loop filter values

### Members

`filter_level` (gint) –

indicates loop filter level for the current frame

`sharpness_level` (gint) –

indicates sharpness level for thecurrent frame

`mode_ref_delta_enabled` (guint8) –

indicate if filter adjust is on

`mode_ref_delta_update` (guint8) –

indicates if the delta values used in an adjustment are updated in the current frame

`update_ref_deltas` (guint8 *) –

indicate which ref deltas are updated

`ref_deltas` (gint8 *) –

Loop filter strength adjustments based on frame type (intra, inter)

`update_mode_deltas` (guint8 *) –

indicate with mode deltas are updated

`mode_deltas` (gint8 *) –

Loop filter strength adjustments based on mode (zero, new mv)

Since : 1.8

## GstCodecParsers.Vp9LoopFilter

Loop filter values

### Members

`filter_level` (Number) –

indicates loop filter level for the current frame

`sharpness_level` (Number) –

indicates sharpness level for thecurrent frame

`mode_ref_delta_enabled` (Number) –

indicate if filter adjust is on

`mode_ref_delta_update` (Number) –

indicates if the delta values used in an adjustment are updated in the current frame

`update_ref_deltas` ([ Number ]) –

indicate which ref deltas are updated

`ref_deltas` ([ Number ]) –

Loop filter strength adjustments based on frame type (intra, inter)

`update_mode_deltas` ([ Number ]) –

indicate with mode deltas are updated

`mode_deltas` ([ Number ]) –

Loop filter strength adjustments based on mode (zero, new mv)

Since : 1.8

## GstCodecParsers.Vp9LoopFilter

Loop filter values

### Members

`filter_level` (int) –

indicates loop filter level for the current frame

`sharpness_level` (int) –

indicates sharpness level for thecurrent frame

`mode_ref_delta_enabled` (int) –

indicate if filter adjust is on

`mode_ref_delta_update` (int) –

indicates if the delta values used in an adjustment are updated in the current frame

`update_ref_deltas` ([ int ]) –

indicate which ref deltas are updated

`ref_deltas` ([ int ]) –

Loop filter strength adjustments based on frame type (intra, inter)

`update_mode_deltas` ([ int ]) –

indicate with mode deltas are updated

`mode_deltas` ([ int ]) –

Loop filter strength adjustments based on mode (zero, new mv)

Since : 1.8

## GstVp9Parser

Parser context that needs to be live across frames

### Members

`priv` (void*) –

GstVp9ParserPrivate struct to keep track of state variables

`subsampling_x` (gint) –

horizontal subsampling

`subsampling_y` (gint) –

vertical subsampling

`bit_depth` (guint) –

bit depth of the stream

`color_space` (guint) –

color space standard

`color_range` (guint) –

color range standard

`mb_segment_tree_probs` (guint8 *) –

decoding tree probabilities

`segment_pred_probs` (guint8 *) –

segment prediction probabiilties

`segmentation` (GstVp9Segmentation *) –

Segmentation info

Since : 1.8

## GstCodecParsers.Vp9Parser

Parser context that needs to be live across frames

### Members

`priv` (Object) –

GstVp9ParserPrivate struct to keep track of state variables

`subsampling_x` (Number) –

horizontal subsampling

`subsampling_y` (Number) –

vertical subsampling

`bit_depth` (Number) –

bit depth of the stream

`color_space` (Number) –

color space standard

`color_range` (Number) –

color range standard

`mb_segment_tree_probs` ([ Number ]) –

decoding tree probabilities

`segment_pred_probs` ([ Number ]) –

segment prediction probabiilties

`segmentation` ([ GstCodecParsers.Vp9Segmentation ]) –

Segmentation info

Since : 1.8

## GstCodecParsers.Vp9Parser

Parser context that needs to be live across frames

### Members

`priv` (object) –

GstVp9ParserPrivate struct to keep track of state variables

`subsampling_x` (int) –

horizontal subsampling

`subsampling_y` (int) –

vertical subsampling

`bit_depth` (int) –

bit depth of the stream

`color_space` (int) –

color space standard

`color_range` (int) –

color range standard

`mb_segment_tree_probs` ([ int ]) –

decoding tree probabilities

`segment_pred_probs` ([ int ]) –

segment prediction probabiilties

`segmentation` ([ GstCodecParsers.Vp9Segmentation ]) –

Segmentation info

Since : 1.8

### Methods

#### gst_vp9_parser_free

    gst_vp9_parser_free (GstVp9Parser * parser)

Frees parser.

Parameters:

`parser` –

the GstVp9Parser to free

Since : 1.8

#### GstCodecParsers.Vp9Parser.prototype.free

    function GstCodecParsers.Vp9Parser.prototype.free(): {
        // javascript wrapper for 'gst_vp9_parser_free'
    }

Frees parser.

Parameters:

`parser` (GstCodecParsers.Vp9Parser) –

the GstCodecParsers.Vp9Parser to free

Since : 1.8

#### GstCodecParsers.Vp9Parser.free

    def GstCodecParsers.Vp9Parser.free (self):
        #python wrapper for 'gst_vp9_parser_free'

Frees parser.

Parameters:

`parser` (GstCodecParsers.Vp9Parser) –

the GstCodecParsers.Vp9Parser to free

Since : 1.8

#### gst_vp9_parser_parse_frame_header

    GstVp9ParserResult
    gst_vp9_parser_parse_frame_header (GstVp9Parser * parser,
                                       GstVp9FrameHdr * frame_hdr,
                                       const guint8 * data,
                                       gsize size)

Parses the VP9 bitstream contained in data, and fills in frame_hdr with the information. The size argument represent the whole frame size.

Parameters:

`parser` –

The GstVp9Parser

`frame_hdr` –

The GstVp9FrameHdr to fill

`data` –

The data to parse

`size` –

The size of the data to parse

Returns –

a GstVp9ParserResult

Since : 1.8

#### GstCodecParsers.Vp9Parser.prototype.parse_frame_header

    function GstCodecParsers.Vp9Parser.prototype.parse_frame_header(frame_hdr: GstCodecParsers.Vp9FrameHdr, data: Number, size: Number): {
        // javascript wrapper for 'gst_vp9_parser_parse_frame_header'
    }

Parses the VP9 bitstream contained in data, and fills in frame_hdr with the information. The size argument represent the whole frame size.

Parameters:

`parser` (GstCodecParsers.Vp9Parser) –

The GstCodecParsers.Vp9Parser

`frame_hdr` (GstCodecParsers.Vp9FrameHdr) –

The GstCodecParsers.Vp9FrameHdr to fill

`data` (Number) –

The data to parse

`size` (Number) –

The size of the data to parse

Returns (GstCodecParsers.Vp9ParserResult) –

a GstCodecParsers.Vp9ParserResult

Since : 1.8

#### GstCodecParsers.Vp9Parser.parse_frame_header

    def GstCodecParsers.Vp9Parser.parse_frame_header (self, frame_hdr, data, size):
        #python wrapper for 'gst_vp9_parser_parse_frame_header'

Parses the VP9 bitstream contained in data, and fills in frame_hdr with the information. The size argument represent the whole frame size.

Parameters:

`parser` (GstCodecParsers.Vp9Parser) –

The GstCodecParsers.Vp9Parser

`frame_hdr` (GstCodecParsers.Vp9FrameHdr) –

The GstCodecParsers.Vp9FrameHdr to fill

`data` (int) –

The data to parse

`size` (int) –

The size of the data to parse

Returns (GstCodecParsers.Vp9ParserResult) –

a GstCodecParsers.Vp9ParserResult

Since : 1.8

#### gst_vp9_parser_parse_superframe_info

    GstVp9ParserResult
    gst_vp9_parser_parse_superframe_info (GstVp9Parser * parser,
                                          GstVp9SuperframeInfo * superframe_info,
                                          const guint8 * data,
                                          gsize size)

Parses the VP9 bitstream contained in data, and fills in superframe_info with the information. The size argument represent the whole superframe size. If data is not superframe but normal frame, the parser returns GST_VP9_PARSER_OK, frame_size[0] is set to size and frames_in_superframe is set to 1. Also this method does not validate vp9frame header and verifying the frame header is caller's responsibility.

Parameters:

`parser` –

The GstVp9Parser

`superframe_info` –

The GstVp9SuperframeInfo to fill

`data` –

The data to parse

`size` –

The size of the data to parse

Returns –

a GstVp9ParserResult

Since : 1.18

#### GstCodecParsers.Vp9Parser.prototype.parse_superframe_info

    function GstCodecParsers.Vp9Parser.prototype.parse_superframe_info(superframe_info: GstCodecParsers.Vp9SuperframeInfo, data: Number, size: Number): {
        // javascript wrapper for 'gst_vp9_parser_parse_superframe_info'
    }

Parses the VP9 bitstream contained in data, and fills in superframe_info with the information. The size argument represent the whole superframe size. If data is not superframe but normal frame, the parser returns GST_VP9_PARSER_OK, frame_size[0] is set to size and frames_in_superframe is set to 1. Also this method does not validate vp9frame header and verifying the frame header is caller's responsibility.

Parameters:

`parser` (GstCodecParsers.Vp9Parser) –

The GstCodecParsers.Vp9Parser

`superframe_info` (GstCodecParsers.Vp9SuperframeInfo) –

The GstCodecParsers.Vp9SuperframeInfo to fill

`data` (Number) –

The data to parse

`size` (Number) –

The size of the data to parse

Returns (GstCodecParsers.Vp9ParserResult) –

a GstCodecParsers.Vp9ParserResult

Since : 1.18

#### GstCodecParsers.Vp9Parser.parse_superframe_info

    def GstCodecParsers.Vp9Parser.parse_superframe_info (self, superframe_info, data, size):
        #python wrapper for 'gst_vp9_parser_parse_superframe_info'

Parses the VP9 bitstream contained in data, and fills in superframe_info with the information. The size argument represent the whole superframe size. If data is not superframe but normal frame, the parser returns GST_VP9_PARSER_OK, frame_size[0] is set to size and frames_in_superframe is set to 1. Also this method does not validate vp9frame header and verifying the frame header is caller's responsibility.

Parameters:

`parser` (GstCodecParsers.Vp9Parser) –

The GstCodecParsers.Vp9Parser

`superframe_info` (GstCodecParsers.Vp9SuperframeInfo) –

The GstCodecParsers.Vp9SuperframeInfo to fill

`data` (int) –

The data to parse

`size` (int) –

The size of the data to parse

Returns (GstCodecParsers.Vp9ParserResult) –

a GstCodecParsers.Vp9ParserResult

Since : 1.18

### Functions

#### gst_vp9_parser_new

    GstVp9Parser *
    gst_vp9_parser_new ()

Creates a new GstVp9Parser. It should be freed with gst_vp9_parser_free after use.

Returns –

a new GstVp9Parser

Since : 1.8

## GstVp9QuantIndices

Dequantization indices.

### Members

`y_ac_qi` (guint8) –

indicates the dequantization table index used for the luma AC coefficients

`y_dc_delta` (gint8) –

indicates the delta value that is added to the baseline index to obtain the luma DC coefficient dequantization index

`uv_dc_delta` (gint8) –

indicates the delta value that is added to the baseline index to obtain the chroma DC coefficient dequantization index

`uv_ac_delta` (gint8) –

indicates the delta value that is added to the baseline index to obtain the chroma AC coefficient dequantization index

Since : 1.8

## GstCodecParsers.Vp9QuantIndices

Dequantization indices.

### Members

`y_ac_qi` (Number) –

indicates the dequantization table index used for the luma AC coefficients

`y_dc_delta` (Number) –

indicates the delta value that is added to the baseline index to obtain the luma DC coefficient dequantization index

`uv_dc_delta` (Number) –

indicates the delta value that is added to the baseline index to obtain the chroma DC coefficient dequantization index

`uv_ac_delta` (Number) –

indicates the delta value that is added to the baseline index to obtain the chroma AC coefficient dequantization index

Since : 1.8

## GstCodecParsers.Vp9QuantIndices

Dequantization indices.

### Members

`y_ac_qi` (int) –

indicates the dequantization table index used for the luma AC coefficients

`y_dc_delta` (int) –

indicates the delta value that is added to the baseline index to obtain the luma DC coefficient dequantization index

`uv_dc_delta` (int) –

indicates the delta value that is added to the baseline index to obtain the chroma DC coefficient dequantization index

`uv_ac_delta` (int) –

indicates the delta value that is added to the baseline index to obtain the chroma AC coefficient dequantization index

Since : 1.8

## GstVp9Segmentation

Segmentation info kept across multiple frames

### Members

`filter_level` (guint8 *) –

loop filter level

`luma_ac_quant_scale` (gint16) –

AC quant scale for luma(Y) component

`luma_dc_quant_scale` (gint16) –

DC quant scale for luma(Y) component chroma_ac_quant_scale AC quant scale for chroma(U/V) component

`chroma_ac_quant_scale` (gint16) –
No description available
`chroma_dc_quant_scale` (gint16) –

DC quant scale for chroma (U/V) component

`reference_frame_enabled` (guint8) –

alternate reference frame enablement

`reference_frame` (gint) –

alternate reference frame

`reference_skip` (guint8) –

a block skip mode that implies both the use of a (0,0) motion vector and that no residual will be coded

Since : 1.8

## GstCodecParsers.Vp9Segmentation

Segmentation info kept across multiple frames

### Members

`filter_level` ([ Number ]) –

loop filter level

`luma_ac_quant_scale` (Number) –

AC quant scale for luma(Y) component

`luma_dc_quant_scale` (Number) –

DC quant scale for luma(Y) component chroma_ac_quant_scale AC quant scale for chroma(U/V) component

`chroma_ac_quant_scale` (Number) –
No description available
`chroma_dc_quant_scale` (Number) –

DC quant scale for chroma (U/V) component

`reference_frame_enabled` (Number) –

alternate reference frame enablement

`reference_frame` (Number) –

alternate reference frame

`reference_skip` (Number) –

a block skip mode that implies both the use of a (0,0) motion vector and that no residual will be coded

Since : 1.8

## GstCodecParsers.Vp9Segmentation

Segmentation info kept across multiple frames

### Members

`filter_level` ([ int ]) –

loop filter level

`luma_ac_quant_scale` (int) –

AC quant scale for luma(Y) component

`luma_dc_quant_scale` (int) –

DC quant scale for luma(Y) component chroma_ac_quant_scale AC quant scale for chroma(U/V) component

`chroma_ac_quant_scale` (int) –
No description available
`chroma_dc_quant_scale` (int) –

DC quant scale for chroma (U/V) component

`reference_frame_enabled` (int) –

alternate reference frame enablement

`reference_frame` (int) –

alternate reference frame

`reference_skip` (int) –

a block skip mode that implies both the use of a (0,0) motion vector and that no residual will be coded

Since : 1.8

## GstVp9SegmentationInfo

Segmentation info

### Members

`enabled` (guint8) –

enables the segmentation feature for the current frame

`update_map` (guint8) –

determines if segmentation is updated in the current frame

`update_tree_probs` (guint8 *) –

determines if tree probabilities updated or not

`tree_probs` (guint8 *) –

segment tree probabilities

`update_pred_probs` (guint8 *) –

determines if prediction probabilities updated or not

`pred_probs` (guint8 *) –

prediction probabilities

`abs_delta` (guint8) –

interpretation of segment data values

`temporal_update` (guint8) –

type of map update

`update_data` (guint8) –

indicates if the segment feature data is updated in the current frame

`data` (GstVp9SegmentationInfoData *) –

segment feature data

Since : 1.8

## GstCodecParsers.Vp9SegmentationInfo

Segmentation info

### Members

`enabled` (Number) –

enables the segmentation feature for the current frame

`update_map` (Number) –

determines if segmentation is updated in the current frame

`update_tree_probs` ([ Number ]) –

determines if tree probabilities updated or not

`tree_probs` ([ Number ]) –

segment tree probabilities

`update_pred_probs` ([ Number ]) –

determines if prediction probabilities updated or not

`pred_probs` ([ Number ]) –

prediction probabilities

`abs_delta` (Number) –

interpretation of segment data values

`temporal_update` (Number) –

type of map update

`update_data` (Number) –

indicates if the segment feature data is updated in the current frame

`data` ([ GstCodecParsers.Vp9SegmentationInfoData ]) –

segment feature data

Since : 1.8

## GstCodecParsers.Vp9SegmentationInfo

Segmentation info

### Members

`enabled` (int) –

enables the segmentation feature for the current frame

`update_map` (int) –

determines if segmentation is updated in the current frame

`update_tree_probs` ([ int ]) –

determines if tree probabilities updated or not

`tree_probs` ([ int ]) –

segment tree probabilities

`update_pred_probs` ([ int ]) –

determines if prediction probabilities updated or not

`pred_probs` ([ int ]) –

prediction probabilities

`abs_delta` (int) –

interpretation of segment data values

`temporal_update` (int) –

type of map update

`update_data` (int) –

indicates if the segment feature data is updated in the current frame

`data` ([ GstCodecParsers.Vp9SegmentationInfoData ]) –

segment feature data

Since : 1.8

## GstVp9SegmentationInfoData

Segmentation info for each segment

### Members

`alternate_quantizer_enabled` (guint8) –

indicate alternate quantizer enabled at segment level

`alternate_quantizer` (gint16) –

alternate quantizer value

`alternate_loop_filter_enabled` (guint8) –

indicate alternate loop filter enabled at segment level

`alternate_loop_filter` (gint8) –

alternate loop filter

`reference_frame_enabled` (guint8) –

indicate alternate reference frame at segment level

`reference_frame` (gint) –

alternate reference frame

`reference_skip` (guint8) –

a block skip mode that implies both the use of a (0,0) motion vector and that no residual will be coded.

Since : 1.8

## GstCodecParsers.Vp9SegmentationInfoData

Segmentation info for each segment

### Members

`alternate_quantizer_enabled` (Number) –

indicate alternate quantizer enabled at segment level

`alternate_quantizer` (Number) –

alternate quantizer value

`alternate_loop_filter_enabled` (Number) –

indicate alternate loop filter enabled at segment level

`alternate_loop_filter` (Number) –

alternate loop filter

`reference_frame_enabled` (Number) –

indicate alternate reference frame at segment level

`reference_frame` (Number) –

alternate reference frame

`reference_skip` (Number) –

a block skip mode that implies both the use of a (0,0) motion vector and that no residual will be coded.

Since : 1.8

## GstCodecParsers.Vp9SegmentationInfoData

Segmentation info for each segment

### Members

`alternate_quantizer_enabled` (int) –

indicate alternate quantizer enabled at segment level

`alternate_quantizer` (int) –

alternate quantizer value

`alternate_loop_filter_enabled` (int) –

indicate alternate loop filter enabled at segment level

`alternate_loop_filter` (int) –

alternate loop filter

`reference_frame_enabled` (int) –

indicate alternate reference frame at segment level

`reference_frame` (int) –

alternate reference frame

`reference_skip` (int) –

a block skip mode that implies both the use of a (0,0) motion vector and that no residual will be coded.

Since : 1.8

## GstVp9SuperframeInfo

Superframe info

### Members

`bytes_per_framesize` (guint32) –

indicates the number of bytes needed to code each frame size

`frames_in_superframe` (guint32) –

indicates the number of frames within this superframe

`frame_sizes` (guint32 *) –

specifies the size in bytes of frame number i (zero indexed) within this superframe

`superframe_index_size` (guint32) –

indicates the total size of the superframe_index

Since : 1.18

## GstCodecParsers.Vp9SuperframeInfo

Superframe info

### Members

`bytes_per_framesize` (Number) –

indicates the number of bytes needed to code each frame size

`frames_in_superframe` (Number) –

indicates the number of frames within this superframe

`frame_sizes` ([ Number ]) –

specifies the size in bytes of frame number i (zero indexed) within this superframe

`superframe_index_size` (Number) –

indicates the total size of the superframe_index

Since : 1.18

## GstCodecParsers.Vp9SuperframeInfo

Superframe info

### Members

`bytes_per_framesize` (int) –

indicates the number of bytes needed to code each frame size

`frames_in_superframe` (int) –

indicates the number of frames within this superframe

`frame_sizes` ([ int ]) –

specifies the size in bytes of frame number i (zero indexed) within this superframe

`superframe_index_size` (int) –

indicates the total size of the superframe_index

Since : 1.18

## Enumerations

### GstVP9Profile

##### Members

`GST_VP9_PROFILE_0` (0) –
No description available
`GST_VP9_PROFILE_1` (1) –
No description available
`GST_VP9_PROFILE_2` (2) –
No description available
`GST_VP9_PROFILE_3` (3) –
No description available
`GST_VP9_PROFILE_UNDEFINED` (4) –
No description available

### GstCodecParsers.VP9Profile

##### Members

`GstCodecParsers.VP9Profile.0` (0) –
No description available
`GstCodecParsers.VP9Profile.1` (1) –
No description available
`GstCodecParsers.VP9Profile.2` (2) –
No description available
`GstCodecParsers.VP9Profile.3` (3) –
No description available
`GstCodecParsers.VP9Profile.UNDEFINED` (4) –
No description available

### GstCodecParsers.VP9Profile

##### Members

`GstCodecParsers.VP9Profile.0` (0) –
No description available
`GstCodecParsers.VP9Profile.1` (1) –
No description available
`GstCodecParsers.VP9Profile.2` (2) –
No description available
`GstCodecParsers.VP9Profile.3` (3) –
No description available
`GstCodecParsers.VP9Profile.UNDEFINED` (4) –
No description available

### GstVp9BitDepth

Bit depths of encoded frames

##### Members

`GST_VP9_BIT_DEPTH_8` (8) –

Bit depth is 8 GST_VP9_BIT_DEPTH_10 Bit depth is 10

`GST_VP9_BIT_DEPTH_10` (10) –
No description available
`GST_VP9_BIT_DEPTH_12` (12) –

Bit depth is 12

Since : 1.8

### GstCodecParsers.Vp9BitDepth

Bit depths of encoded frames

##### Members

`GstCodecParsers.Vp9BitDepth.8` (8) –

Bit depth is 8 GST_VP9_BIT_DEPTH_10 Bit depth is 10

`GstCodecParsers.Vp9BitDepth.10` (10) –
No description available
`GstCodecParsers.Vp9BitDepth.12` (12) –

Bit depth is 12

Since : 1.8

### GstCodecParsers.Vp9BitDepth

Bit depths of encoded frames

##### Members

`GstCodecParsers.Vp9BitDepth.8` (8) –

Bit depth is 8 GST_VP9_BIT_DEPTH_10 Bit depth is 10

`GstCodecParsers.Vp9BitDepth.10` (10) –
No description available
`GstCodecParsers.Vp9BitDepth.12` (12) –

Bit depth is 12

Since : 1.8

### GstVp9ColorRange

Possible color value ranges

##### Members

`GST_VP9_CR_LIMITED` (0) –

Y range is [16-235], UV range is [16-240]

`GST_VP9_CR_FULL` (1) –

Full range for Y,U and V [0-255]

Since : 1.8

### GstCodecParsers.Vp9ColorRange

Possible color value ranges

##### Members

`GstCodecParsers.Vp9ColorRange.LIMITED` (0) –

Y range is [16-235], UV range is [16-240]

`GstCodecParsers.Vp9ColorRange.FULL` (1) –

Full range for Y,U and V [0-255]

Since : 1.8

### GstCodecParsers.Vp9ColorRange

Possible color value ranges

##### Members

`GstCodecParsers.Vp9ColorRange.LIMITED` (0) –

Y range is [16-235], UV range is [16-240]

`GstCodecParsers.Vp9ColorRange.FULL` (1) –

Full range for Y,U and V [0-255]

Since : 1.8

### GstVp9ColorSpace

Supported ColorSpace standards

##### Members

`GST_VP9_CS_UNKNOWN` (0) –

Unknown color space

`GST_VP9_CS_BT_601` (1) –

BT.601

`GST_VP9_CS_BT_709` (2) –

BT.709

`GST_VP9_CS_SMPTE_170` (3) –

SMPTE.170

`GST_VP9_CS_SMPTE_240` (4) –

SMPTE.240

`GST_VP9_CS_BT_2020` (5) –

BT.2020

`GST_VP9_CS_RESERVED_2` (6) –
No description available
`GST_VP9_CS_SRGB` (7) –

sRGB

Since : 1.8

### GstCodecParsers.Vp9ColorSpace

Supported ColorSpace standards

##### Members

`GstCodecParsers.Vp9ColorSpace.UNKNOWN` (0) –

Unknown color space

`GstCodecParsers.Vp9ColorSpace.BT_601` (1) –

BT.601

`GstCodecParsers.Vp9ColorSpace.BT_709` (2) –

BT.709

`GstCodecParsers.Vp9ColorSpace.SMPTE_170` (3) –

SMPTE.170

`GstCodecParsers.Vp9ColorSpace.SMPTE_240` (4) –

SMPTE.240

`GstCodecParsers.Vp9ColorSpace.BT_2020` (5) –

BT.2020

`GstCodecParsers.Vp9ColorSpace.RESERVED_2` (6) –
No description available
`GstCodecParsers.Vp9ColorSpace.SRGB` (7) –

sRGB

Since : 1.8

### GstCodecParsers.Vp9ColorSpace

Supported ColorSpace standards

##### Members

`GstCodecParsers.Vp9ColorSpace.UNKNOWN` (0) –

Unknown color space

`GstCodecParsers.Vp9ColorSpace.BT_601` (1) –

BT.601

`GstCodecParsers.Vp9ColorSpace.BT_709` (2) –

BT.709

`GstCodecParsers.Vp9ColorSpace.SMPTE_170` (3) –

SMPTE.170

`GstCodecParsers.Vp9ColorSpace.SMPTE_240` (4) –

SMPTE.240

`GstCodecParsers.Vp9ColorSpace.BT_2020` (5) –

BT.2020

`GstCodecParsers.Vp9ColorSpace.RESERVED_2` (6) –
No description available
`GstCodecParsers.Vp9ColorSpace.SRGB` (7) –

sRGB

Since : 1.8

### GstVp9FrameType

VP9 frame types

##### Members

`GST_VP9_KEY_FRAME` (0) –

Key frame, only have intra blocks

`GST_VP9_INTER_FRAME` (1) –

Inter frame, both intra and inter blocks

Since : 1.8

### GstCodecParsers.Vp9FrameType

VP9 frame types

##### Members

`GstCodecParsers.Vp9FrameType.KEY_FRAME` (0) –

Key frame, only have intra blocks

`GstCodecParsers.Vp9FrameType.INTER_FRAME` (1) –

Inter frame, both intra and inter blocks

Since : 1.8

### GstCodecParsers.Vp9FrameType

VP9 frame types

##### Members

`GstCodecParsers.Vp9FrameType.KEY_FRAME` (0) –

Key frame, only have intra blocks

`GstCodecParsers.Vp9FrameType.INTER_FRAME` (1) –

Inter frame, both intra and inter blocks

Since : 1.8

### GstVp9InterpolationFilter

Interpolation Filters Types

##### Members

`GST_VP9_INTERPOLATION_FILTER_EIGHTTAP` (0) –

EightTap interpolation filter

`GST_VP9_INTERPOLATION_FILTER_EIGHTTAP_SMOOTH` (1) –

Smooth interpolation filter

`GST_VP9_INTERPOLATION_FILTER_EIGHTTAP_SHARP` (2) –

Shart interpolation filter

`GST_VP9_INTERPOLATION_FILTER_BILINEAR` (3) –

Bilinear interpolation filter

`GST_VP9_INTERPOLATION_FILTER_SWITCHABLE` (4) –

Selectable interpolation filter

Since : 1.8

### GstCodecParsers.Vp9InterpolationFilter

Interpolation Filters Types

##### Members

`GstCodecParsers.Vp9InterpolationFilter.EIGHTTAP` (0) –

EightTap interpolation filter

`GstCodecParsers.Vp9InterpolationFilter.EIGHTTAP_SMOOTH` (1) –

Smooth interpolation filter

`GstCodecParsers.Vp9InterpolationFilter.EIGHTTAP_SHARP` (2) –

Shart interpolation filter

`GstCodecParsers.Vp9InterpolationFilter.BILINEAR` (3) –

Bilinear interpolation filter

`GstCodecParsers.Vp9InterpolationFilter.SWITCHABLE` (4) –

Selectable interpolation filter

Since : 1.8

### GstCodecParsers.Vp9InterpolationFilter

Interpolation Filters Types

##### Members

`GstCodecParsers.Vp9InterpolationFilter.EIGHTTAP` (0) –

EightTap interpolation filter

`GstCodecParsers.Vp9InterpolationFilter.EIGHTTAP_SMOOTH` (1) –

Smooth interpolation filter

`GstCodecParsers.Vp9InterpolationFilter.EIGHTTAP_SHARP` (2) –

Shart interpolation filter

`GstCodecParsers.Vp9InterpolationFilter.BILINEAR` (3) –

Bilinear interpolation filter

`GstCodecParsers.Vp9InterpolationFilter.SWITCHABLE` (4) –

Selectable interpolation filter

Since : 1.8

### GstVp9ParserResult

##### Members

`GST_VP9_PARSER_OK` (0) –
No description available
`GST_VP9_PARSER_BROKEN_DATA` (1) –
No description available
`GST_VP9_PARSER_ERROR` (2) –
No description available

### GstCodecParsers.Vp9ParserResult

##### Members

`GstCodecParsers.Vp9ParserResult.OK` (0) –
No description available
`GstCodecParsers.Vp9ParserResult.BROKEN_DATA` (1) –
No description available
`GstCodecParsers.Vp9ParserResult.ERROR` (2) –
No description available

### GstCodecParsers.Vp9ParserResult

##### Members

`GstCodecParsers.Vp9ParserResult.OK` (0) –
No description available
`GstCodecParsers.Vp9ParserResult.BROKEN_DATA` (1) –
No description available
`GstCodecParsers.Vp9ParserResult.ERROR` (2) –
No description available

### GstVp9RefFrameType

Reference Frame types

##### Members

`GST_VP9_REF_FRAME_INTRA` (0) –

Intra reference frame

`GST_VP9_REF_FRAME_LAST` (1) –

Last Reference frame

`GST_VP9_REF_FRAME_GOLDEN` (2) –

Golden Reference frame

`GST_VP9_REF_FRAME_ALTREF` (3) –

Alternate Reference frame

`GST_VP9_REF_FRAME_MAX` (4) –
No description available

Since : 1.8

### GstCodecParsers.Vp9RefFrameType

Reference Frame types

##### Members

`GstCodecParsers.Vp9RefFrameType.INTRA` (0) –

Intra reference frame

`GstCodecParsers.Vp9RefFrameType.LAST` (1) –

Last Reference frame

`GstCodecParsers.Vp9RefFrameType.GOLDEN` (2) –

Golden Reference frame

`GstCodecParsers.Vp9RefFrameType.ALTREF` (3) –

Alternate Reference frame

`GstCodecParsers.Vp9RefFrameType.MAX` (4) –
No description available

Since : 1.8

### GstCodecParsers.Vp9RefFrameType

Reference Frame types

##### Members

`GstCodecParsers.Vp9RefFrameType.INTRA` (0) –

Intra reference frame

`GstCodecParsers.Vp9RefFrameType.LAST` (1) –

Last Reference frame

`GstCodecParsers.Vp9RefFrameType.GOLDEN` (2) –

Golden Reference frame

`GstCodecParsers.Vp9RefFrameType.ALTREF` (3) –

Alternate Reference frame

`GstCodecParsers.Vp9RefFrameType.MAX` (4) –
No description available

Since : 1.8

## Constants

### GST_VP9_FRAME_CONTEXTS_LOG2

    #define GST_VP9_FRAME_CONTEXTS_LOG2 2

### GstCodecParsers.VP9_FRAME_CONTEXTS_LOG2

### GST_VP9_FRAME_MARKER

    #define GST_VP9_FRAME_MARKER 0x02

### GstCodecParsers.VP9_FRAME_MARKER

### GST_VP9_MAX_FRAMES_IN_SUPERFRAME

    #define GST_VP9_MAX_FRAMES_IN_SUPERFRAME 8

### GstCodecParsers.VP9_MAX_FRAMES_IN_SUPERFRAME

### GST_VP9_MAX_LOOP_FILTER

    #define GST_VP9_MAX_LOOP_FILTER    63

### GstCodecParsers.VP9_MAX_LOOP_FILTER

### GST_VP9_MAX_MODE_LF_DELTAS

    #define GST_VP9_MAX_MODE_LF_DELTAS 2

### GstCodecParsers.VP9_MAX_MODE_LF_DELTAS

### GST_VP9_MAX_PROB

    #define GST_VP9_MAX_PROB           255

### GstCodecParsers.VP9_MAX_PROB

### GST_VP9_MAX_REF_LF_DELTAS

    #define GST_VP9_MAX_REF_LF_DELTAS  4

### GstCodecParsers.VP9_MAX_REF_LF_DELTAS

### GST_VP9_MAX_SEGMENTS

    #define GST_VP9_MAX_SEGMENTS       8

### GstCodecParsers.VP9_MAX_SEGMENTS

### GST_VP9_MAX_SHARPNESS

    #define GST_VP9_MAX_SHARPNESS      7

### GstCodecParsers.VP9_MAX_SHARPNESS

### GST_VP9_PREDICTION_PROBS

    #define GST_VP9_PREDICTION_PROBS   3

### GstCodecParsers.VP9_PREDICTION_PROBS

### GST_VP9_REFS_PER_FRAME

    #define GST_VP9_REFS_PER_FRAME     3

### GstCodecParsers.VP9_REFS_PER_FRAME

### GST_VP9_REF_FRAMES

    #define GST_VP9_REF_FRAMES         (1 << GST_VP9_REF_FRAMES_LOG2)

### GstCodecParsers.VP9_REF_FRAMES

### GST_VP9_REF_FRAMES_LOG2

    #define GST_VP9_REF_FRAMES_LOG2    3

### GstCodecParsers.VP9_REF_FRAMES_LOG2

### GST_VP9_SEGMENT_ABSDATA

    #define GST_VP9_SEGMENT_ABSDATA    1

### GstCodecParsers.VP9_SEGMENT_ABSDATA

### GST_VP9_SEGMENT_DELTADATA

    #define GST_VP9_SEGMENT_DELTADATA  0

### GstCodecParsers.VP9_SEGMENT_DELTADATA

### GST_VP9_SEG_TREE_PROBS

    #define GST_VP9_SEG_TREE_PROBS     (GST_VP9_MAX_SEGMENTS-1)

### GstCodecParsers.VP9_SEG_TREE_PROBS

### GST_VP9_SUPERFRAME_MARKER

    #define GST_VP9_SUPERFRAME_MARKER 0x06

### GstCodecParsers.VP9_SUPERFRAME_MARKER

### GST_VP9_SYNC_CODE

    #define GST_VP9_SYNC_CODE 0x498342

### GstCodecParsers.VP9_SYNC_CODE

The results of the search are